Static Public Member Functions | List of all members
clan::SharedGCData Class Reference
clanDisplay Display

Shared Graphic Context Data. More...

`#include <shared_gc_data.h>`

## Static Public Member Functions
static void | add_disposable (DisposableObject *disposable)
| Add disposable. More...
static void | add_provider (GraphicContextProvider *provider)
| Add a provider. More...
static void | add_ref ()
| Add ref. More...
static std::vector< GraphicContextProvider * > & | get_gc_providers (std::unique_ptr< std::unique_lock< std::recursive_mutex >> &mutex_section)
| Get the providers. More...
static GraphicContextProvider * | get_provider (std::unique_ptr< std::unique_lock< std::recursive_mutex >> &mutex_section)
| Get a provider. More...
static void | release_ref ()
| Release ref. More...
static void | remove_disposable (DisposableObject *disposable)
| Remove disposable. More...
static void | remove_provider (GraphicContextProvider *provider)
| Remove a provider. More...

## Detailed Description

Shared Graphic Context Data.

The documentation for this class was generated from the following file:

- shared_gc_data.h